Subject: Re: Can "DLL's" & libraries be marked as non-executable?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jan 2005 17:39:42 -0800

On Sun, Jan 16, 2005 at 08:13:43PM -0500, Christopher Faylor wrote:
> On Mon, Jan 17, 2005 at 12:38:51AM +0100, Gerrit P. Haase wrote:
> >>More to the point, what would "break" in the cygwin environment,
> >
> >Try to chmod 644 any dll and call a program that uses this dll.  This
> >fails for me (on NT4 with NTFS), if it succeeds for you, fine.  Change
> >the permissions as you like it;)
> 
> I think what's being asked is that we make a special case for dlls so
> that, even if the OS says they are executable, cygwin will not call them
> executable.

<pedant>
But that's not possible without opening them; I can very well have
a program file or script named foo.dll that I want to be exectutable.
</pedant>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/